Subject: Re: Re: [PATCH v3 4/5] teach config --blob option to parse config from database

From: Heiko Voigt <[email-masked]>
Date: Fri, 10 May 2013 17:47:35 +0200

On Fri, May 10, 2013 at 12:30:39AM +0200, Jeff King wrote:
> On Thu, May 09, 2013 at 06:20:18PM +0200, Heiko Voigt wrote:
> 
> > +static int config_buf_fgetc(struct config_source *conf)
> > +{
> > +	if (conf->buf.pos < conf->buf.len && conf->buf.buf[conf->buf.pos])
> > +		return conf->buf.buf[conf->buf.pos++];
> > +
> > +	return EOF;
> > +}
> 
> It probably would not matter for config reading, but is there any reason
> not to make your fgetc replacement 8-bit clean (i.e., to check only len,
> and not worry about NUL characters)?

I got a NULL character here and by mistake thought that somehow the len
would include the ending character. But that was a bug introduced by me
when I refactored to buffer and length instead of strbuf. I missed to
transport the len properly. So I will removed this check again.

Cheers Heiko